codedeploy

Puppet module to manage the AWS CodeDeploy agent

Chadwick Banning

walkamongus

81,166 downloads

78,241 latest version

4.3 quality score

Version information

  • 1.0.1 (latest)
  • 1.0.0
  • 0.1.2
  • 0.1.1
  • 0.1.0
released Feb 28th 2016
This version is compatible with:
  • Puppet Enterprise >= 3.2.0 < 2015.4.0
  • Puppet >= 3.4.0 < 5.0.0
  • Debian
    ,
    RedHat
    ,
    Ubuntu

Start using this module

Documentation

walkamongus/codedeploy — version 1.0.1 Feb 28th 2016

AWS CodeDeploy Puppet Module

Build Status

Table of Contents

  1. Overview
  2. Module Description - What the module does and why it is useful
  3. Setup - The basics of getting started with codedeploy
  4. Usage - Configuration options and additional functionality
  5. Limitations - OS compatibility, etc.

Overview

This module installs and enables the AWS CodeDeploy agent.

Module Description

The AWS Codedeploy allows you to automatically deploy applications to AWS instances from S3 or GitHub. This module installs any required packages followed by the CodeDeploy agent. It then enables the codedeploy-agent service and ensures that it is running.

Setup

What codedeploy affects

  • Packages
    • codedeploy-agent
    • awscli (Debian)
  • Services
    • codedeploy-agent daemon

Usage

The codedeploy-agent package requires a version of Ruby > 2.0.x to be installed under /usr/bin/ruby. This dependency must be satisfied prior to installing the codedeploy-agent package. The recommended way of doing this is via the puppetlabs/ruby module.

Install the AWS CodeDeploy agent and ensure the agent is running

include '::ruby'
include '::codedeploy'